config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  resources :scores

  resources :works

  resources :work_records

  root 'users#show'

end

app/models/score.rb
class Score < ActiveRecord::Base
    belongs_to :works
    belongs_to :users
end

app/controllers/scores_controller.rb
class ScoresController < ApplicationController
  before_action :set_score, only: [:show, :edit, :update, :destroy]

  # GET /scores
  # GET /scores.json
  def index
    @scores = Score.all
  end

  # GET /scores/1
  # GET /scores/1.json
  def show
  end

  # GET /scores/new
  def new
    @score = Score.new
  end

  # GET /scores/1/edit
  def edit
  end

  # POST /scores
  # POST /scores.json
  def create
    @score = Score.new(score_params)

    respond_to do |format|
      if @score.save
        format.html { redirect_to @score, notice: 'Score was successfully created.' }
        format.json { render :show, status: :created, location: @score }
      else
        format.html { render :new }
        format.json { render json: @score.errors, status: :unprocessable_entity }
      end
    end
  end

  # PATCH/PUT /scores/1
  # PATCH/PUT /scores/1.json
  def update
    respond_to do |format|
      if @score.update(score_params)
        format.html { redirect_to @score, notice: 'Score was successfully updated.' }
        format.json { render :show, status: :ok, location: @score }
      else
        format.html { render :edit }
        format.json { render json: @score.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /scores/1
  # DELETE /scores/1.json
  def destroy
    @score.destroy
    respond_to do |format|
      format.html { redirect_to scores_url, notice: 'Score was successfully destroyed.' }
      format.json { head :no_content }
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_score
      @score = Score.find(params[:id])
    end

    # Never trust parameters from the scary internet, only allow the white list through.
    def score_params
      params.require(:score).permit(:work_id, :user_id, :score)
    end
end

app/helpers/scores_helper.rb
module ScoresHelper
end

app/views/scores/_form.html.erb
<%= form_for(@score) do |f| %>
  <% if @score.errors.any? %>
    <div id="error_explanation">
      <h2><%= pluralize(@score.errors.count, "error") %> prohibited this score from being saved:</h2>

      <ul>
      <% @score.errors.full_messages.each do |message| %>
        <li><%= message %></li>
      <% end %>
      </ul>
    </div>
  <% end %>

  <div class="field">
    <%= f.label :work_id %><br>
    <%= f.number_field :work_id %>
  </div>
  <div class="field">
    <%= f.label :user_id %><br>
    <%= f.number_field :user_id %>
  </div>
  <div class="field">
    <%= f.label :score %><br>
    <%= f.number_field :score %>
  </div>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>

app/views/scores/edit.html.erb
<h1>Editing Score</h1>

<%= render 'form' %>

<%= link_to 'Show', @score %> |
<%= link_to 'Back', scores_path %>

app/views/scores/index.html.erb
<p id="notice"><%= notice %></p>

<h1>Listing Scores</h1>

<table>
  <thead>
    <tr>
      <th>Work</th>
      <th>User</th>
      <th>Score</th>
      <th colspan="3"></th>
    </tr>
  </thead>

  <tbody>
    <% @scores.each do |score| %>
      <tr>
        <td><%= score.work_id %></td>
        <td><%= score.user_id %></td>
        <td><%= score.score %></td>
        <td><%= link_to 'Show', score %></td>
        <td><%= link_to 'Edit', edit_score_path(score) %></td>
        <td><%= link_to 'Destroy', score, method: :delete, data: { confirm: 'Are you sure?' } %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>

<%= link_to 'New Score', new_score_path %>

app/views/scores/new.html.erb
<h1>New Score</h1>

<%= render 'form' %>

<%= link_to 'Back', scores_path %>

app/views/scores/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Work:</strong>
  <%= @score.work_id %>
</p>

<p>
  <strong>User:</strong>
  <%= @score.user_id %>
</p>

<p>
  <strong>Score:</strong>
  <%= @score.score %>
</p>

<%= link_to 'Edit', edit_score_path(@score) %> |
<%= link_to 'Back', scores_path %>